<?php
/**
 * author Sergio Antonio Ochoa Martinez - gnu.java.sergio@gmail.com
 * Copyright (c) 2006-2013 Paco Avila & Josep Llort
 * WebSites: www.openkm.com
 * 
 * No bytes were intentionally harmed during the development of this application.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
defined('_JEXEC') or die;
?>
<script language="javascript" type="text/javascript">
    $(document).ready(function() {

        $("#searchAdvanced").button().click(function() {
            var content = $('#content').val();
            var name = $('#name').val();
            var keyword = $('#keyword').val();
            if (content != '' || name != '' || keyword != '') {
                document.formSearchAdvanced.task.value = 'searchAdvanced';
                document.formSearchAdvanced.submit();
            }
            else {
                $('#name').validationEngine('showPrompt', '<?php echo JText::_('COM_OPENKM_SOME_OF_THESE_FIELDS_ARE_REQUIRED'); ?>', 'error', true);
                return false;
            }
        });

        $('*').keypress(function(e) {
            //funciona cuando se preciona la tecla enter
            if (e.keyCode == 13) {
                var content = $('#content').val();
                var name = $('#name').val();
                var keyword = $('#keyword').val();
                if (content != '' || name != '' || keyword != '') {
                    document.formSearchAdvanced.task.value = 'searchAdvanced';
                    document.formSearchAdvanced.submit();
                }
                else {
                    $('#name').validationEngine('showPrompt', '<?php echo JText::_('COM_OPENKM_SOME_OF_THESE_FIELDS_ARE_REQUIRED'); ?>', 'error', true);
                    return false;
                }
            }
        });

        $("#searchReturn").button().click(function() {
            document.formSearchAdvanced.task.value = 'returnDesktop';
            document.formSearchAdvanced.submit();
        });

        $("#tab").tabs();

        $('#formSearchAdvanced').validationEngine();
    });


</script>
<form action= "" method="post" name="formSearchAdvanced"
      id="formSearchAdvanced" enctype="multipart/form-data">
    <div id="tab">
        <ul>
            <li><a href="#dato"><?php echo JText::_('COM_OPENKM_ADVANCED_SEARCH') ?></a></li>                
        </ul>
        <div id="dato">
            <table width="100%" class="display" cellpadding="2" cellspacing="2" border="0">
                <tr>
                    <td align="right"><?php echo JText::_('COM_OPENKM_CONTENT') ?>:</td>
                    <td>
                        <input type="text" name="content" id="content" value="<?php echo $this->sessionSearch->get('content'); ?>" />
                    </td>
                </tr>
                <tr>
                    <td align="right"><?php echo JText::_('COM_OPENKM_NAME') ?>:</td>
                    <td>
                        <input type="text" name="name" id="name" value="<?php echo $this->sessionSearch->get('name'); ?>" />
                    </td>
                </tr>
                <tr>
                    <td align="right"><?php echo JText::_('COM_OPENKM_KEYWORDS') ?>:</td>
                    <td>
                        <input type="text" name="keyword" id="keyword" value="<?php echo $this->sessionSearch->get('keyword'); ?>" />
                    </td>
                </tr>
                <tr>
                    <td align="right"><?php echo JText::_('COM_OPENKM_TYPE') ?>:</td>
                    <td>
                        <input type="checkbox" name="document" id="document" value="1" <?php if ($this->sessionSearch->get('document') == '1') echo "checked='checked'"; ?> /><?php echo JText::_('COM_OPENKM_DOCUMENT') ?>
                        <input type="checkbox" name="folder" id="folder" value="2" <?php if ($this->sessionSearch->get('folder') == '2') echo "checked='checked'"; ?> /><?php echo JText::_('COM_OPENKM_FOLDER') ?>                        
                    </td>
                </tr>
                <tr>
                    <td align="right"><?php echo JText::_('COM_OPENKM_DOCUMENT_TYPE') ?>:</td>
                    <td>                           
                        <select id="mimeType" name="mimeType">
                            <option value=""></option>
                            <option value="text/html" <?php if ($this->sessionSearch->get('mimeType') == 'text/html') echo "selected='selected'"; ?> >HTML</option>
                            <option value="application/vnd.ms-excel" <?php if ($this->sessionSearch->get('mimeType') == 'application/vnd.ms-excel') echo "selected='selected'"; ?>>MS Excel</option>
                            <option value="application/vnd.ms-powerpoint" <?php if ($this->sessionSearch->get('mimeType') == 'application/vnd.ms-powerpoint') echo "selected='selected'"; ?>>MS PowerPoint</option>
                            <option value="application/msword" <?php if ($this->sessionSearch->get('mimeType') == 'application/msword') echo "selected='selected'"; ?>>MS Word</option>
                            <option value="application/vnd.oasis.opendocument.database" <?php if ($this->sessionSearch->get('mimeType') == 'application/vnd.oasis.opendocument.database') echo "selected='selected'"; ?>>OpenOffice.org Database</option>
                            <option value="application/vnd.oasis.opendocument.graphics" <?php if ($this->sessionSearch->get('mimeType') == 'application/vnd.oasis.opendocument.graphics') echo "selected='selected'"; ?>>OpenOffice.org Draw</option>
                            <option value="application/vnd.oasis.opendocument.presentation" <?php if ($this->sessionSearch->get('mimeType') == 'application/vnd.oasis.opendocument.presentation') echo "selected='selected'"; ?>>OpenOffice.org Presentation</option>
                            <option value="application/vnd.oasis.opendocument.spreadsheet" <?php if ($this->sessionSearch->get('mimeType') == 'application/vnd.oasis.opendocument.spreadsheet') echo "selected='selected'"; ?>>OpenOffice.org Spreadsheet</option>
                            <option value="application/vnd.oasis.opendocument.text" <?php if ($this->sessionSearch->get('mimeType') == 'application/vnd.oasis.opendocument.text') echo "selected='selected'"; ?>>OpenOffice.org Word Processor</option>
                            <option value="application/pdf" <?php if ($this->sessionSearch->get('mimeType') == 'application/pdf') echo "selected='selected'"; ?>>PDF</option>
                            <option value="application/rtf" <?php if ($this->sessionSearch->get('mimeType') == 'application/rtf') echo "selected='selected'"; ?>>RTF</option>
                            <option value="text/plain" <?php if ($this->sessionSearch->get('mimeType') == 'text/plain') echo "selected='selected'"; ?>>TXT</option>
                            <option value="text/xml" <?php if ($this->sessionSearch->get('mimeType') == 'text/xml') echo "selected='selected'"; ?>>XML</option>                                
                        </select>
                    </td>
                </tr>
            </table>
        </div>
        <table width="100%" id="buttonTable">
            <tr>
                <td align="right" colspan="2">
                    <button id="searchReturn">
                        <?php echo JText::_('COM_OPENKM_GO_BACK') ?>
                    </button>
                    <button id="searchAdvanced">
                        <?php echo Jtext::_('COM_OPENKM_SEARCH') ?>
                    </button>                        
                </td>
            </tr>
        </table>            
        <input type="hidden" name="option" value="com_openkm" />
        <input type="hidden" name="view" value="search"/>
        <input type="hidden" name="task" value="" />
        <input type="hidden" name="id" value="<?php echo $this->rowConfiguration->idConfiguration; ?>"/>
    </div><!--fin del tabs-->
</form>